Authorization
Get a token
Issues a JWT pair for the email and password of an AiGenda account.
POST
/
api
/
token
/
curl -X POST "https://api.aigenda.tech/api/token/" \
-H "Content-Type: application/json" \
-d '{
"username": "you@example.com",
"password": "your-password"
}'
import requests
response = requests.post(
"https://api.aigenda.tech/api/token/",
json={
"username": "you@example.com",
"password": "your-password",
},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.aigenda.tech/api/token/", {
method: "POST",
headers: { "Content-Type": "application/json" },
body: JSON.stringify({
"username": "you@example.com",
"password": "your-password"
}),
});
const data = await response.json();
console.log(data);
{
"refresh": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoicmVmcmVzaCJ9.sig",
"access": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoiYWNjZXNzIn0.sig"
}
{
"detail": "No active account found with the given credentials"
}
Request body
string
required
Account email. The field is called
username, but it holds the email.string
required
Account password.
Response
string
Token for the
Authorization: Bearer header. Lives for 30 days.string
Token for refreshing
access. Lives for 1 day.curl -X POST "https://api.aigenda.tech/api/token/" \
-H "Content-Type: application/json" \
-d '{
"username": "you@example.com",
"password": "your-password"
}'
import requests
response = requests.post(
"https://api.aigenda.tech/api/token/",
json={
"username": "you@example.com",
"password": "your-password",
},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.aigenda.tech/api/token/", {
method: "POST",
headers: { "Content-Type": "application/json" },
body: JSON.stringify({
"username": "you@example.com",
"password": "your-password"
}),
});
const data = await response.json();
console.log(data);
{
"refresh": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoicmVmcmVzaCJ9.sig",
"access": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoiYWNjZXNzIn0.sig"
}
{
"detail": "No active account found with the given credentials"
}
Last modified on October 17, 2026
⌘I
curl -X POST "https://api.aigenda.tech/api/token/" \
-H "Content-Type: application/json" \
-d '{
"username": "you@example.com",
"password": "your-password"
}'
import requests
response = requests.post(
"https://api.aigenda.tech/api/token/",
json={
"username": "you@example.com",
"password": "your-password",
},
timeout=30,
)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.aigenda.tech/api/token/", {
method: "POST",
headers: { "Content-Type": "application/json" },
body: JSON.stringify({
"username": "you@example.com",
"password": "your-password"
}),
});
const data = await response.json();
console.log(data);
{
"refresh": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoicmVmcmVzaCJ9.sig",
"access": "eyJhbGciOiJIUzI1NiJ9.eyJ0b2tlbl90eXBlIjoiYWNjZXNzIn0.sig"
}
{
"detail": "No active account found with the given credentials"
}